View Issue Details

IDProjectCategoryView StatusLast Update
0002474SymmetricDSImprovementpublic2016-02-12 13:26
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.29Fixed in Version3.7.29 
Summary0002474: Support json/jsonb types with indexing for sending schema
DescriptionPostgres support json and jsonb data types, which SymmetricDS seems to be able to sync as text. Using the symadmin send-schema also works for a table with this data type. But adding an index to the json column does not sync with send-schema. The following error occurs:

org.jumpmind.db.model.ModelException: Invalid column '((data ->> 'finished'::text))' on index idxfinished for table cards
Steps To Reproduce    CREATE TABLE cards (
      id integer NOT NULL,
      board_id integer NOT NULL,
      data jsonb
    );

    CREATE INDEX idxfinished ON cards ((data->>'finished'));
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 3fac71cf

2016-01-05 16:39:56

admin

Details Diff
0002474: Support json/jsonb types with indexing for sending schema
0002474
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File

SymmetricDS: 3.7 387fd9c4

2016-01-10 11:29:58

admin

Details Diff
0002474: Support json/jsonb types with indexing for sending schema
0002474
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2016-01-04 10:56 elong New Issue
2016-01-05 16:38 elong Assigned To => elong
2016-01-05 16:38 elong Status new => assigned
2016-01-05 16:38 elong Target Version 3.8.0 => 3.7.29
2016-01-05 16:50 elong Status assigned => resolved
2016-01-05 16:50 elong Fixed in Version => 3.7.29
2016-01-05 16:50 elong Resolution open => fixed
2016-01-05 17:00 admin Changeset attached => SymmetricDS 3.7 3fac71cf
2016-01-10 12:00 admin Changeset attached => SymmetricDS 3.7 387fd9c4
2016-02-12 13:26 chenson Status resolved => closed